

/*
 * Created by the power of SWIG!
 */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#ifndef __cplusplus
#   error This source file requires C++.
#endif

#ifdef WIN32
#   define DllExport extern "C" __declspec( dllexport )
#   define CDecl __cdecl
#else
#   define DllExport extern "C"
#   define CDecl
#endif

#include <cassert>



#if 0

enum SWIG_DExceptionCode {
    derr_Exception,
    // ...
};

/*
 * Support for throwing D exceptions
 * (TODO: implement this function in D)
 */
DllExport void CDecl SWIG_DThrowException(SWIG_DExceptionCode code, char* message);

#endif


#include "example.h"

DllExport void CDecl SwigWrap_delete_Shape(Shape *self) {
    Shape *arg1 = (Shape *) 0 ;
    
    arg1 = self; 
    delete arg1;
    
}

DllExport void CDecl SwigWrap_Shape_x_set(Shape *self,double x) {
    Shape *arg1 = (Shape *) 0 ;
    double arg2 ;
    
    arg1 = self; 
    arg2 = x; 
    
    assert(arg1 != 0);
    arg1->x = x;
    
}

DllExport double CDecl SwigWrap_Shape_x_get(Shape *self) {
    Shape *arg1 = (Shape *) 0 ;
    double result;
    
    arg1 = self; 
    result = (double) ((arg1)->x);
    
    return result;
}

DllExport void CDecl SwigWrap_Shape_y_set(Shape *self,double y) {
    Shape *arg1 = (Shape *) 0 ;
    double arg2 ;
    
    arg1 = self; 
    arg2 = y; 
    
    assert(arg1 != 0);
    arg1->y = y;
    
}

DllExport double CDecl SwigWrap_Shape_y_get(Shape *self) {
    Shape *arg1 = (Shape *) 0 ;
    double result;
    
    arg1 = self; 
    result = (double) ((arg1)->y);
    
    return result;
}

DllExport void CDecl SwigWrap_Shape_move(Shape *self,double dx,double dy) {
    Shape *arg1 = (Shape *) 0 ;
    double arg2 ;
    double arg3 ;
    
    arg1 = self; 
    arg2 = dx; 
    arg3 = dy; 
    (arg1)->move(arg2,arg3);
    
}

DllExport double CDecl SwigWrap_Shape_area(Shape *self) {
    Shape *arg1 = (Shape *) 0 ;
    double result;
    
    arg1 = self; 
    result = (double)(arg1)->area();
    
    return result;
}

DllExport double CDecl SwigWrap_Shape_perimeter(Shape *self) {
    Shape *arg1 = (Shape *) 0 ;
    double result;
    
    arg1 = self; 
    result = (double)(arg1)->perimeter();
    
    return result;
}

DllExport Shape * CDecl SwigWrap_Shape_asShape(Shape *self) {
    Shape *arg1 = (Shape *) 0 ;
    Shape *result;
    
    arg1 = self; 
    result = (Shape *)(arg1)->asShape();
    
    return result;
}

DllExport void CDecl SwigWrap_Shape_nshapes_set(int value) {
    int arg1 ;
    
    arg1 = value; 
    Shape::nshapes = arg1;
    
}

DllExport int CDecl SwigWrap_Shape_nshapes_get() {
    int result;
    
    result = (int)Shape::nshapes;
    
    return result;
}

DllExport Circle * CDecl SwigWrap_new_Circle(double r) {
    double arg1 ;
    Circle *result;
    
    arg1 = r; 
    result = (Circle *)new Circle(arg1);
    
    return result;
}

DllExport double CDecl SwigWrap_Circle_area(Circle *self) {
    Circle *arg1 = (Circle *) 0 ;
    double result;
    
    arg1 = self; 
    result = (double)(arg1)->area();
    
    return result;
}

DllExport double CDecl SwigWrap_Circle_perimeter(Circle *self) {
    Circle *arg1 = (Circle *) 0 ;
    double result;
    
    arg1 = self; 
    result = (double)(arg1)->perimeter();
    
    return result;
}

DllExport void CDecl SwigWrap_delete_Circle(Circle *self) {
    Circle *arg1 = (Circle *) 0 ;
    
    arg1 = self; 
    delete arg1;
    
}

DllExport Square * CDecl SwigWrap_new_Square(double w) {
    double arg1 ;
    Square *result;
    
    arg1 = w; 
    result = (Square *)new Square(arg1);
    
    return result;
}

DllExport double CDecl SwigWrap_Square_area(Square *self) {
    Square *arg1 = (Square *) 0 ;
    double result;
    
    arg1 = self; 
    result = (double)(arg1)->area();
    
    return result;
}

DllExport double CDecl SwigWrap_Square_perimeter(Square *self) {
    Square *arg1 = (Square *) 0 ;
    double result;
    
    arg1 = self; 
    result = (double)(arg1)->perimeter();
    
    return result;
}

DllExport void CDecl SwigWrap_delete_Square(Square *self) {
    Square *arg1 = (Square *) 0 ;
    
    arg1 = self; 
    delete arg1;
    
}

DllExport unsigned long CDecl SwigWrap_TestClass_explode__SWIG_0(TestClass *self) {
    TestClass *arg1 = (TestClass *) 0 ;
    unsigned long result;
    
    arg1 = self; 
    result = (unsigned long)(arg1)->explode();
    
    return result;
}

DllExport void CDecl SwigWrap_TestClass_explode__SWIG_1(TestClass *self,long long ll) {
    TestClass *arg1 = (TestClass *) 0 ;
    long long arg2 ;
    
    arg1 = self; 
    arg2 = ll; 
    (arg1)->explode(arg2);
    
}

DllExport char * CDecl SwigWrap_TestClass_explode__SWIG_2(TestClass *self,long double ld) {
    TestClass *arg1 = (TestClass *) 0 ;
    long double arg2 ;
    char *result;
    
    arg1 = self; 
    arg2 = ld; 
    result = (char *)(arg1)->explode(arg2);
    
    return result;
}

DllExport long double CDecl SwigWrap_TestClass_explode__SWIG_3(TestClass *self,int a,int b,int c,int d) {
    TestClass *arg1 = (TestClass *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    long double result;
    
    arg1 = self; 
    arg2 = a; 
    arg3 = b; 
    arg4 = c; 
    arg5 = d; 
    result = (arg1)->explode(arg2,arg3,arg4,arg5);
    
    return result;
}

DllExport TestClass * CDecl SwigWrap_new_TestClass() {
    TestClass *result;
    
    result = (TestClass *)new TestClass();
    
    return result;
}

DllExport void CDecl SwigWrap_delete_TestClass(TestClass *self) {
    TestClass *arg1 = (TestClass *) 0 ;
    
    arg1 = self; 
    delete arg1;
    
}

