
#ifdef __cplusplus
template<class T> class SwigValueWrapper {
    T *tt;
public:
    SwigValueWrapper() : tt(0) { }
    SwigValueWrapper(const SwigValueWrapper<T>& rhs) : tt(new T(*rhs.tt)) { }
    SwigValueWrapper(const T& t) : tt(new T(t)) { }
    ~SwigValueWrapper() { delete tt; } 
    SwigValueWrapper& operator=(const T& t) { delete tt; tt = new T(t); return *this; }
    operator T&() const { return *tt; }
    T *operator&() { return tt; }
private:
    SwigValueWrapper& operator=(const SwigValueWrapper<T>& rhs);
};                                                    
#endif



/*
 * Created by the power of SWIG!
 */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#ifndef __cplusplus
#   error This source file requires C++.
#endif

#ifdef WIN32
#   define DllExport extern "C" __declspec( dllexport )
#   define CDecl __cdecl
#else
#   define DllExport extern "C"
#   define CDecl
#endif

#ifndef assert
#   define assert(x)    // evil temp hack
#endif


extern int gcd(int,int);
DllExport int CDecl SwigWrap_gcd(int x,int y) {
    int arg1 ;
    int arg2 ;
    int result;
    
    arg1 = x;
    arg2 = y;
    result = (int)gcd(arg1,arg2);
    
    return result;
}

extern double Foo;
DllExport void CDecl SwigWrap_Foo_set(double value) {
    double arg1 ;
    
    arg1 = value;
    Foo = arg1;
    
}

DllExport double CDecl SwigWrap_Foo_get() {
    double result;
    
    result = (double)Foo;
    
    return result;
}

